Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.man.bioinf.apps.cinema.utils
Class CinemaSlaveViewerModule

    java.lang.Object
      |
      +--uk.ac.man.bioinf.module.Module
            |
            +--uk.ac.man.bioinf.apps.xml.XMLModule
                  |
                  +--uk.ac.man.bioinf.apps.cinema.CinemaModule
                        |
                        +--uk.ac.man.bioinf.apps.cinema.utils.CinemaSlaveViewerModule

All Implemented Interfaces:
  AlignmentEventProvider

public class CinemaSlaveViewerModule
extends CinemaModule

CinemaSlaveViewerModule.java Generates arbitrary numbers of Slave Viewers. At lot of the code here is very similar to that in CinemaCoreGui, and it would probably make sense to consolidate some of this into a single place. The point of a slave viewer is to show an alignment which is not the main alignment. It will not produce events like the main alignment, and will not control everything else. At the moment the main reason for writing this is so that I can test out some other data structures I have written but I think that this will be a useful functionality in the end. Created: Sun Jun 4 20:26:57 2000

Version:
  $Id: CinemaSlaveViewerModule.java,v 1.7 2001/04/11 17:04:42 lord Exp $
Author:
  Phillip Lord

Constructor Summary
`CinemaSlaveViewerModule()`

Method Summary
`String` | `getVersion()` Returns the version of this module.
`void` | `showSlaveAlignment(SequenceAlignment alignment)`

Methods inherited from class uk.ac.man.bioinf.apps.cinema.CinemaModule
`addAlignmentListener, addCinemaPropertyChangeListener, addCinemaPropertyChangeListener, addVetoableAlignmentListener, clearSequenceTitleColor, destroy, fireCinemaPropertyChange, getAlignmentSelectionModel, getColorMap, getRequiredIdentifiers, getSequenceAlignment, removeAlignmentListener, removeCinemaPropertyChangeListener, removeCinemaPropertyChangeListener, removeVetoableAlignmentListener, sendStatusMessage, setAlignmentSelectionModel, setColorMap, setSequenceAlignment, setSequenceTitleColor`

Methods inherited from class uk.ac.man.bioinf.apps.xml.XMLModule
`getConfigProperties, getConfigTree`

Methods inherited from class uk.ac.man.bioinf.module.Module
`addPropertyChangeListener, addPropertyChangeListener, finalize, firePropertyChange, firePropertyChange, firePropertyChange, getContext, getIdentifier, getRequiredModule, getRequiredModules, hasListeners, isDestroyed, isStarted, load, removePropertyChangeListener, removePropertyChangeListener, runStart, setContext, start`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CinemaSlaveViewerModule

    public CinemaSlaveViewerModule()

Method Detail

### showSlaveAlignment

    public void showSlaveAlignment(SequenceAlignment alignment)

### getVersion

    public String getVersion()

  Description copied from class: `Module`
  Returns the version of this module.

  Specified by:
    `getVersion` in class `Module`
  Returns:
    the version

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD